Subject: Wine on Cygwin
From: "Dimitrie O. Paun" <[email-masked]>
To: "cygwin" <[email-masked]>
Date: Thu, 30 Nov 2000 20:18:16 -0500

Hello people,

I've managed to compile Wine on Cygwin. This is good progress, but not the end of the road -- I hope to get it to also run! :)

Showstoppers:
  -- {recv,send}msg
  I understand these are not going to be supported anytime soon, but who knows?

  -- we need to get the content of CPU registers when a signal occurs.
  How can I do that under Cygwin? To see how we do it under Linux/*BSD, look at this:
http://cvs.winehq.com/cvsweb/wine/dlls/ntdll/signal_i386.c?rev=1.21&content-type=text/x-cvsweb-markup

  -- we need to get/set a thread context
  Again, how do I do that? Here is how we do it under other OSes:
http://cvs.winehq.com/cvsweb/wine/server/context_i386.c?rev=1.15&content-type=text/x-cvsweb-markup

Any pointers would be greatly appreciated.

--
Dimi.

--
Want to unsubscribe from this list?
Send a message to [email-masked]